// LogMgr.h: header file for LogMgr SLL.
//

#if !defined(_LOGMGR_H_)
#define _LOGMGR_H_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#undef DECL
#ifdef LOGMGR_DLL
#define DECL _declspec(dllexport)
#else
#define DECL _declspec(dllimport)
#endif

LPCTSTR DECL GetLogMgrVersion();
LPCTSTR DECL GetLogMgrPath();
void DECL StartMessageLogging();
void DECL StopMessageLogging();
bool DECL DebugToSystemLog();
void DECL DebugToSystemLog(bool bVal);


// This can be over-ridden to provide alternate column titles for a log file when preparing a view of the log file
// Column (-1) is a special case which if a non-null value is returned, then the log file is treated like the system.log
typedef LPCTSTR (* LPFNGETCOLUMNTITLEHOOK)(LPCTSTR LogName, int Column);

extern "C" DECL LPFNGETCOLUMNTITLEHOOK lpfnGetColumnTitleHook;

// The global dll info structure.
extern AFX_EXTENSION_MODULE LogMgrDLL;


#endif // !defined(_LOGMGR_H_)
